Package org.apache.groovy.json.internal

# Class Exceptions.JsonInternalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.json.JsonException
org.apache.groovy.json.internal.Exceptions.JsonInternalException

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  Exceptions

    public static class Exceptions.JsonInternalException
    extends JsonException

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `JsonInternalException​(java.lang.String message)` |
  `JsonInternalException​(java.lang.String message, java.lang.Throwable cause)` |
  `JsonInternalException​(java.lang.Throwable cause)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Throwable` | `getCause()` |
  `java.lang.String` | `getLocalizedMessage()` |
  `java.lang.String` | `getMessage()` |
  `java.lang.StackTraceElement[]` | `getStackTrace()` |
  `void` | `printStackTrace()` |
  `void` | `printStackTrace​(java.io.PrintStream s)` |
  `void` | `printStackTrace​(java.io.PrintWriter s)` |

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getSuppressed, initCause, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JsonInternalException

    public JsonInternalException​(java.lang.String message)

  - ### JsonInternalException

    public JsonInternalException​(java.lang.String message, java.lang.Throwable cause)

  - ### JsonInternalException

    public JsonInternalException​(java.lang.Throwable cause)

- ## Method Details

  - ### printStackTrace

    public void printStackTrace​(java.io.PrintStream s)
    Overrides:
      `printStackTrace` in class `java.lang.Throwable`

  - ### getMessage

    public java.lang.String getMessage()
    Overrides:
      `getMessage` in class `java.lang.Throwable`

  - ### getLocalizedMessage

    public java.lang.String getLocalizedMessage()
    Overrides:
      `getLocalizedMessage` in class `java.lang.Throwable`

  - ### getStackTrace

    public java.lang.StackTraceElement[] getStackTrace()
    Overrides:
      `getStackTrace` in class `java.lang.Throwable`

  - ### getCause

    public java.lang.Throwable getCause()
    Overrides:
      `getCause` in class `java.lang.Throwable`

  - ### printStackTrace

    public void printStackTrace​(java.io.PrintWriter s)
    Overrides:
      `printStackTrace` in class `java.lang.Throwable`

  - ### printStackTrace

    public void printStackTrace()
    Overrides:
      `printStackTrace` in class `java.lang.Throwable`